package com.zd.chemical.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 化学品机柜管理信息对象 hxp_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品机柜管理信息")
public class HxpCabinet extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 机柜编号
     */
    @Excel(name = "机柜编号")
    @Length(message = "机柜编号长度不能超过30")
    @ApiModelProperty(value = "机柜编号")
    private String cabinetNum;
    /**
     * 机柜名称
     */
    @Excel(name = "机柜名称")
    @Length(message = "机柜名称长度不能超过50")
    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;
    /**
     * 实验室id
     */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subId;
    /**
     * 机柜状态（1是启用，0是停用）
     */
    @Excel(name = "机柜状态", readConverterExp = "1=是启用，0是停用")
    @ApiModelProperty(value = "机柜状态")
    private Integer cabinetStatus;
    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long userId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCabinetNum(String cabinetNum) {
        this.cabinetNum = cabinetNum;
    }

    public String getCabinetNum() {
        return cabinetNum;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Long getSubId() {
        return subId;
    }

    public void setCabinetStatus(Integer cabinetStatus) {
        this.cabinetStatus = cabinetStatus;
    }

    public Integer getCabinetStatus() {
        return cabinetStatus;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("cabinetNum", getCabinetNum())
                .append("cabinetName", getCabinetName())
                .append("subId", getSubId())
                .append("cabinetStatus", getCabinetStatus())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
